Home
Home
  1. ๐Ÿ’ธTransaction Screening API
  • ๐Ÿš€ Getting Started
  • ๐Ÿ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • ๐Ÿ“ก Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • ๐ŸŒŠ Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • ๐Ÿ“ก Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • ๐Ÿ“ค Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • ๐Ÿ’ธTransaction Screening API
    • ๐Ÿ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • ๐Ÿ“ค Webhooks
    • ๐Ÿ“ก Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • ๐Ÿ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. ๐Ÿ’ธTransaction Screening API

Monitoring & History

This endpoint allows you to retrieve the status, risk analysis results, and notification history of your transactions. You can query a specific transaction or fetch a filtered list of historical operations.
URL: https://app.rillis.io/api/v1/verification/get
Method: GET
API Reference: To see the technical details, parameters, and live testing for this process, go to:
GET - List Transactions

Request Parameters (Query Strings)#

All parameters below must be appended to the URL as query strings.

1. Mandatory Authentication#

ParameterTypeRequiredDescription
client_idStringYesYour unique client identifier.
client_secretStringYesYour secret API key.

2. Search & Filtering#

ParameterTypeRequiredDescription
external_transaction_idStringNoFilter by your internal transaction ID.
pageNumberNoPage number for pagination (Default: 1).
limitNumberNoItems per page (Default: 10, Max: 100).

Example Request (Single Transaction)#

GET https://app.rillis.io/api/v1/verification/get?client_id=your_client_id&client_secret=your_client_secret&external_transaction_id=transaction_12345

Example Request (Multiple Transactions)#

GET https://app.rillis.io/api/v1/verification/get?client_id=your_client_id&client_secret=your_client_secret&page=1&limit=20

Response#

The response returns a paginated object containing an array of items.

Root Properties#

ParameterTypeDescription
itemsArrayList of transaction analysis reports.
totalItemsNumberTotal count of transactions matching the filters.
totalPagesNumberTotal pages available.

Item Object Details (The Analysis)#

ParameterTypeDescription
external_transaction_idStringThe ID provided by you during the creation.
request_atLongUnix timestamp (ms) when the request was first received.
analyzed_atLongUnix timestamp (ms) when the analysis process finished.
transactionObjectThe core analysis and financial data object.

2. Transaction Object#

ParameterTypeDescription
idStringInternal Rillis ID for this specific transaction.
transaction_typeEnumFIAT or CRYPTO.
stateEnumStatus: PROGRESS, COMPLETED, REJECTED, EVALUATION.
sending_dollar_amountNumberEquivalent value in USD at the time of the request.
sending_amountNumberAmount sent in the source currency.
sending_currencyStringISO Code or Asset symbol (e.g., "CLP", "BTC").
receiving_walletStringDestination address (for Crypto transactions).
reasons_rejection_analysisStringReason for rejection generated by the automated engine.
reasons_rejection_operatorStringManual notes added by a compliance officer.
rejected_atLongUnix timestamp (ms) if the transaction was rejected.
notificationObjectInformation about the Webhook delivery.

3. Notification Object#

ParameterTypeDescription
webhookStringThe URL where the notification was sent.
sent_atLongUnix timestamp (ms) of the notification attempt.
successfulBooleantrue if your server responded with a 2xx status code.
errorStringError message if the notification failed to deliver.

Full Response Example#

{
    "items": [
        {
            "external_transaction_id": "your_external_transaction_id",
            "analyzed_at": 1770234049519,
            "request_at": 1770234048255,
            "transaction": {
                "transaction_type": "CRYPTO",
                "sending_dollar_amount": 100,
                "reasons_rejection_analysis": "Se rechazo el beneficiario por coincidencia en BlackList.",
                "reasons_rejection_operator": null,
                "rejected_at": 1770234049519,
                "analyzed_at": 1770234049519,
                "state": "EVALUATION",
                "notification": {
                    "webhook": "https://webhook.site/863cfb52-df2b-4b8d-b7cb-93ae4e8ba18f",
                    "sent_at": 1770234050418,
                    "successful": true,
                    "error": null
                },
                "id": "6983a0c061f1341eb94bd193",
                "crypto_asset": null,
                "sending_amount": 3424342,
                "sending_currency": "CLP",
                "crypto_network": null,
                "receving_amount": null,
                "receiving_currency": null,
                "receiving_wallet": "0x1d7e175a1fc32519d2d5591d69d996b60be21d3a"
            }
        },
        {
            "external_transaction_id": "your_external_transaction_id_two",
            "analyzed_at": 1770066522549,
            "request_at": 1770066521327,
            "transaction": {
                "transaction_type": "CRYPTO",
                "sending_dollar_amount": 600,
                "reasons_rejection_analysis": "Se rechazo el beneficiario por coincidencia en BlackList.",
                "reasons_rejection_operator": null,
                "rejected_at": 1770066522549,
                "analyzed_at": 1770066522549,
                "state": "EVALUATION",
                "notification": {
                    "webhook": "https://webhook.site/863cfb52-df2b-4b8d-b7cb-93ae4e8ba18f",
                    "sent_at": 1770066523436,
                    "successful": true,
                    "error": null
                },
                "id": "6981125961f1341eb94bcaae",
                "crypto_asset": null,
                "sending_amount": 3424342,
                "sending_currency": "CLP",
                "crypto_network": null,
                "receving_amount": null,
                "receiving_currency": null,
                "receiving_wallet": "0x1d7e175a1fc32519d2d5591d69d996b60be21d3a"
            }
        }
    ],
    "totalItems": 159,
    "page": 1,
    "totalPages": 16
}

Error Responses#

In case of an error, the API will return an appropriate HTTP status code along with a JSON response containing error details:
Status CodeDescription
400Bad Request - The request was invalid or cannot be processed.
401Unauthorized - Authentication credentials are missing or invalid.
403Forbidden - The client does not have permission to access the requested resource.
404Not Found - The requested transaction was not found.
429Too Many Requests - The client has sent too many requests in a given amount of time.
500Internal Server Error - An error occurred on the server.

Example Error Response#

{
  "success": false,
  "error": "Transaction not found",
  "error_code": "RESOURCE_NOT_FOUND",
  "details": "No transaction found with the provided client_transaction_id"
}

Transaction Status Definitions#

StatusMeaningRecommended Action
PROGRESSThe AML/KYT analysis engine is currently processing the request.Wait for the Webhook notification or poll again in 10-30 seconds.
COMPLETEDThe screening is finished, and no significant risks or sanctions were detected.Safe to proceed with the financial operation.
REJECTEDA high-risk match or a direct sanction hit was detected. The transaction is blocked.Stop the operation immediately. Check the reasons_rejection_analysis field.
EVALUATIONA potential risk or "soft match" was found (e.g., possible match in a Blacklist).Requires manual review. A Compliance Officer must approve or reject it in the Dashboard.

Rate Limits#

Maximum of 200 requests per minute.
Maximum of 2,000 requests per hour.
Maximum of 20,000 requests per day.
Exceeding these limits will result in a 429 Too Many Requests response.
Modified atย 2026-02-05 19:44:33
Previous
Transaction Analysis
Next
Document Types
Built with